Drop support for Python 3.3
[cookiecutter.git] / project_template / tox.ini
1 [tox]
2 minversion = 2.0
3 toxworkdir={homedir}/.tox/{project}
4 envlist = py27,py3{4,5,6},py{27,34}-flake8
5
6 # Base test environment settings
7 [testenv]
8 basepython =
9     py27: {env:TOXPYTHON:python2.7}
10     py34: {env:TOXPYTHON:python3.4}
11     py35: {env:TOXPYTHON:python3.5}
12     py36: {env:TOXPYTHON:python3.6}
13     pypy: {env:TOXPYTHON:pypy}
14 commands =
15     {envpython} --version
16     {envpython} -c "import struct; print(struct.calcsize('P') * 8)"
17 deps =
18     -rdevscripts/requirements/requirements_tests.txt
19 platform = linux
20 sitepackages = True
21 # Don't fail or warn on uninstalled commands
22 whitelist_externals =
23     flake8
24
25 [general]
26 commands =
27     {[testenv]commands}
28     python -m pytest --cov={project}
29
30 [testenv:py27]
31 commands =
32     {[general]commands}
33
34 [testenv:py34]
35 commands =
36     {[general]commands}
37
38 [testenv:py35]
39 commands =
40     {[general]commands}
41
42 [testenv:py36]
43 commands =
44     {[general]commands}
45
46 [testenv:py27-flake8]
47 deps =
48     flake8
49 commands =
50     {[testenv]commands}
51     flake8
52
53 [testenv:py34-flake8]
54 deps =
55     flake8
56 commands =
57     {[testenv]commands}
58     flake8